import { defineComponent as a, mergeModels as m, useModel as s, createElementBlock as c, openBlock as p, createVNode as l, unref as t } from "vue";
import { useI18n as f } from "vue-i18n";
import { j as d, b } from "./start-BYfL32Oe.mjs";
import "pinia";
import "vue-router";
import "./header-Droxy2Kd.mjs";
import "./moment-h96o7c8I.mjs";
import { p as _ } from "./PricingController-Bn7qwpk_.mjs";
const g = /* @__PURE__ */ a({
  __name: "LowestPriceConfiguration",
  props: /* @__PURE__ */ m({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(o) {
    const e = s(o, "modelValue"), { t: n } = f();
    return (C, i) => (p(), c("div", null, [
      l(t(d), {
        data: t(_).listCurrencies,
        text: e.value.currency,
        label: t(n)("pim.etl.LowestPriceConfiguration.currency"),
        "item-title": "currency",
        "item-value": "currency",
        class: "mb-4",
        select: "",
        onChange: i[0] || (i[0] = (r) => e.value.currency = r)
      }, null, 8, ["data", "text", "label"]),
      l(t(b), {
        modelValue: e.value.lifetime,
        "onUpdate:modelValue": i[1] || (i[1] = (r) => e.value.lifetime = r),
        label: t(n)("pim.etl.LowestPriceConfiguration.lifetime"),
        "persistent-placeholder": ""
      }, null, 8, ["modelValue", "label"])
    ]));
  }
});
function u(o) {
  const e = o;
  e.__i18n = e.__i18n || [], e.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        pim: {
          etl: {
            LowestPriceConfiguration: {
              currency: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Currency" } },
              lifetime: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Lifetime in days" } }
            }
          }
        }
      },
      "de-DE": {
        pim: {
          etl: {
            LowestPriceConfiguration: {
              currency: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Währung" } },
              lifetime: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Lebensdauer in Tagen" } }
            }
          }
        }
      }
    }
  });
}
typeof u == "function" && u(g);
export {
  g as default
};
